Package com.independentsoft.office.odf.styles

# Enum Class PrintOrientation

java.lang.Object
java.lang.Enum<PrintOrientation>
com.independentsoft.office.odf.styles.PrintOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<PrintOrientation>`, `Constable`

public enum PrintOrientation extends Enum<PrintOrientation>
Represents the orientation of the printed page.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LANDSCAPE`
  A page is printed in landscape orientation.
  `NONE`
  None.
  `PORTRAIT`
  A page is printed in portrait orientation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PrintOrientation`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PrintOrientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PORTRAIT

    public static final PrintOrientation PORTRAIT
    A page is printed in portrait orientation.

  - ### LANDSCAPE

    public static final PrintOrientation LANDSCAPE
    A page is printed in landscape orientation.

  - ### NONE

    public static final PrintOrientation NONE
    None.

- ## Method Details

  - ### values

    public static PrintOrientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PrintOrientation valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null